#
# Copyright (c) 2000-2003 Turbolinux, inc. 
# This file and all modifications and/or additions are under 
# the same license as package itself.

%define _name opfc-StatusMonitor
%define _ver  1.0.0
%define _rel  1.3AX
%define opfc_prefix opfc-

Summary: OpenPrinting Japan - Printer Status utility
Name: %{_name}
Version: %{_ver}
Release: %{_rel}
License: See COPYING file
Group: Applications/System
Source0: opfc-StatusMonitor-1.0.0.tar.gz
Patch0 : opfc-StatusMonitor-1.0.0-static_static_function_declaration.patch
Buildroot: %{_tmppath}/%{name}-root
BuildRequires: gtk2-devel atk-devel expat-devel cups-devel pkgconfig libxml2-devel

%description
This package is the part of "OpenPrinting Japan API Reference Implementation".
Printer Status utility. Included are:
 opfc-StatusMonitor-A (Printer status utility type A.Fetch status from CUPS backend.)
 opfc-StatusMonitor-B (Printer status utility type B.Fetch status from PrinterStatus daemon.)

%package A
Version: 0.5
License: See COPYING file
Group: Applications/System
Summary: OpenPrinting Japan - Printer Status Utility TypeA
Requires: gtk2 cups
Requires: %{opfc_prefix}BidiBackend

%description A
Printer Status Utility sample implementation TypeA


%package B
Version: 0.2
License: See COPYING
Group: Applications/System
Summary: OpenPrinting Japan - Printer Status Utility TypeB
Requires: gtk2
Requires: %{opfc_prefix}StatusDaemon

%description B
Printer Status Utility sample implementation TypeB


%prep
%setup -q -n opfc-StatusMonitor-1.0.0

%patch0 -p1

%build
CFLAGS="$RPM_OPT_FLAGS" \
%configure
make

%install
make install DESTDIR=${RPM_BUILD_ROOT}
mkdir -p ${RPM_BUILD_ROOT}/%{_initrddir}

%clean
rm -rf $RPM_BUILD_ROOT

%files A
%defattr(-,root,root)
%doc TypeA/AUTHORS TypeA/COPYING TypeA/README TypeA/ChangeLog
%{_bindir}/printerStatusTypeA
#%{_datadir}/locale/*/LC_MESSAGES/printerStatusTypeA.*

%files B
%defattr(-,root,root)
%doc TypeB/AUTHORS TypeB/COPYING TypeB/README TypeB/ChangeLog
%{_bindir}/printerStatusTypeB
%{_datadir}/locale/*/LC_MESSAGES/printerStatusTypeB.*

%changelog
* Mon Apr 30 2007 Hiroshi Hara<hhara@miraclelinux.com>
- change release number to proper one.

* Mon Apr 16 2007 Hiroshi Hara<hhara@miraclelinux.com>
- remove japanese description and Summary
- should declare static function before the function body(Patch0)

* Wed Mar 31 2004 Toshihiro Yamagishi<toshihiro@turbolinux.co.jp>
- repackage for Turbolinux
